onEvent('recipes', (event) => {
    event.remove({id: 'pixelmon:poke_display'})
    event.shaped(Item.of('pixelmon:poke_ball', '{PokeBallID:"master_ball"}'), ['ABA', 'CDC', 'EFE'], {
        A: 'pixelmon:cooked_pink_apricorn',
        B: 'pixelmon:cooked_blue_apricorn',
        C: 'extendedcrafting:black_iron_slate',
        D: 'atmadditions:atm_star',
        E: 'extendedcrafting:ender_star',
        F: 'pixelmon:iron_base'
    }).id('kubejs:pixelmon/master_ball')

    event.remove({id: 'pixelmon:pokeball/ball/park_ball'})
    event.shaped(Item.of('pixelmon:poke_ball', '{PokeBallID:"park_ball"}'), ['AAA', 'BCB', 'DED'], {
        A: 'pixelmon:cooked_yellow_apricorn',
        B: 'extendedcrafting:black_iron_slate',
        C: 'atmadditions:atm_star',
        D: 'extendedcrafting:ender_star',
        E: 'pixelmon:iron_base'
    }).id('kubejs:pixelmon/park_ball')

    event.shaped('pokehaancraftadd:healer', ['ABA', 'CDE', 'AFA'], {
        A: 'extendedcrafting:the_ultimate_ingot',
        B: 'pixelmon:dawn_stone',
        C: 'pixelmon:max_revive',
        D: '#pixelmon:healers',
        E: 'pixelmon:hyper_potion',
        F: 'pixelmon:dusk_stone'
    }).id('kubejs:pokehaancraftadd/healer')

    event.recipes.mekanismEnriching('pixelmon:silicon', 'refinedstorage:silicon')

    event.shaped('pixelmon:xs_exp_candy', ['AAA', 'ABA', 'AAA'], {
        A: 'minecraft:experience_bottle',
        B: 'supplementaries:candy'
    }).id('kubejs:pixelmon/xs_exp_candy')

    event.shaped('pixelmon:s_exp_candy', ['AAA', 'AAA', 'AAA'], {
        A: 'pixelmon:xs_exp_candy'
    }).id('kubejs:pixelmon/s_exp_candy')

    event.shaped('pixelmon:m_exp_candy', ['AAA', 'AAA', 'AAA'], {
        A: 'pixelmon:s_exp_candy'
    }).id('kubejs:pixelmon/m_exp_candy')
    
    event.shaped('pixelmon:l_exp_candy', ['AAA', 'AAA', 'AAA'], {
        A: 'pixelmon:m_exp_candy'
    }).id('kubejs:pixelmon/l_exp_candy')

    event.shaped('pixelmon:xl_exp_candy', ['AAA', 'AAA', 'AAA'], {
        A: 'pixelmon:l_exp_candy'
    }).id('kubejs:pixelmon/xl_exp_candy')

    event.shaped('pixelmon:rare_candy', ['AAA', 'AAA', 'AAA'], {
        A: 'pixelmon:xl_exp_candy'
    }).id('kubejs:pixelmon/rare_candy')

    event.remove({id: 'pixelmon:machines/trade_machine/trade_panel'})
    event.remove({id: 'pixelmon:machines/trade_machine/trade_monitor'})
    event.remove({id: 'pixelmon:machines/trade_machine/trade_holder_right'})
    event.remove({id: 'pixelmon:machines/trade_machine/trade_holder_left'})
    event.remove({id: 'pixelmon:machines/computer/pc'})
    event.remove({id: 'pixelmon:machines/fossil/fossil_machine_top'})
    event.remove({id: 'pixelmon:machines/fossil/fossil_machine_base'})
    event.remove({id: 'pixelmon:machines/cloning/orange_tank'})
    event.remove({id: 'pixelmon:machines/cloning/green_tank'})
//Trading Machine Aluminum Fix
    event.shaped('pixelmon:trade_panel', ['AAA', 'BBB', 'ABA'], {
        A: '#forge:ingots/aluminum',
        B: 'minecraft:redstone'
    }).id('kubejs:pixelmon/trade_panel')

    event.shaped('pixelmon:trade_monitor', ['AAA', 'ABA', 'AAA'], {
        A: '#forge:ingots/aluminum',
        B: 'minecraft:glass_pane'
    }).id('kubejs:pixelmon/trade_monitor')
    
    event.shaped('pixelmon:trade_holder_right', ['   ', 'BAA', 'AA '], {
        A: '#forge:ingots/aluminum',
        B: 'pixelmon:poke_ball'
    }).id('kubejs:pixelmon/trade_holder_right')
    
    event.shaped('pixelmon:trade_holder_left', ['   ', 'AAB', ' AA'], {
        A: '#forge:ingots/aluminum',
        B: 'pixelmon:poke_ball'
    }).id('kubejs:pixelmon/trade_holder_left')
//PC Aluminum Fix
    event.shaped('pixelmon:red_pc', ['ABA', 'ACA', 'ADA'], {
        A: '#forge:ingots/aluminum',
        B: 'minecraft:glass_pane',
        C: 'minecraft:redstone_lamp',
        D: 'minecraft:redstone'
    }).id('kubejs:pixelmon/red_pc')
//Fossil Machine Aluminum Fix
    event.shaped('pixelmon:fossil_machine_top', ['   ', 'ABA', 'AAA'], {
        A: '#forge:ingots/aluminum',
        B: 'minecraft:redstone'
    }).id('kubejs:pixelmon/fossil_machine_top')

    event.shaped('pixelmon:fossil_machine_base', ['   ', 'AAA', 'AAA'], {
        A: '#forge:ingots/aluminum'
    }).id('kubejs:pixelmon/fossil_machine_base')
//Cloning Machine Aluminum Fix
    event.shaped('pixelmon:orange_tank', ['AAA', 'BCB', 'DDD'], {
        A: '#forge:ingots/aluminum',
        B: 'minecraft:gold_ingot',
        C: 'pixelmon:fossil_machine',
        D: 'minecraft:obsidian'
    }).id('kubejs:pixelmon/orange_tank')

    event.shaped('pixelmon:green_tank', ['AAA', 'BCB', 'DDD'], {
        A: '#forge:ingots/aluminum',
        B: 'minecraft:emerald',
        C: 'pixelmon:fossil_machine',
        D: 'minecraft:obsidian'
    }).id('kubejs:pixelmon/green_tank')
})